/**
 * Pig Pursuit
 *
 * @fileoverview Introduction level.
 * @link https://github.com/stevenbenner/pig-pursuit
 * @author Steven Benner
 * @version 0
 * @license Pig Pursuit
 * <https://github.com/stevenbenner/pig-pursuit>
 * Copyright (c) 2012 Steven Benner, http://stevenbenner.com/
 */

pig.objects.level0 = function() {
	this.backgroundImage = 'images/level1-background.gif';
	this.imageObject = null;
	this.width = 27;
	this.height = 16;
	this.isCutscene = true;
	this.events = [];
	this.spawnX = 64;
	this.spawnY = 384;
	this.monsters = [
		new pig.objects.monster('static', 64, pig.gfx.sprites.pig, 32, 285, 384)
	];
	this.init = function() {
		pig.session.mouseX = 10000;
		pig.session.hero.isArmed = false;
		this.events = [
			new pig.objects.event(pig.session.hero, 'move', 1000, 128, 4000),
			new pig.objects.event(pig.session.hero, 'say', 1500, 'What a fine day.', 2000),
			new pig.objects.event(this.monsters[0], 'say', 5000, 'Oink', 500),
			new pig.objects.event(pig.session.hero, 'move', 6000, -64, 1000),
			new pig.objects.event(pig.session.hero, 'move', 8000, 64, 1000),
			new pig.objects.event(this.monsters[0], 'say', 9000, 'Oink', 500),
			new pig.objects.event(pig.session.hero, 'move', 10000, -128, 2000),
			new pig.objects.event(pig.session.hero, 'say', 12000, 'Hello', 500),
			new pig.objects.event(this.monsters[0], 'say', 13000, 'Oink', 500),
			new pig.objects.event(pig.session.hero, 'say', 14000, "I think I'm in love", 2000)
		];
	};
	this.content = [
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 0, 13),
			new pig.objects.gridElement('blockEarth', 0, 14),
			new pig.objects.gridElement('blockEarth', 0, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 1, 13),
			new pig.objects.gridElement('blockEarth', 1, 14),
			new pig.objects.gridElement('blockEarth', 1, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 2, 13),
			new pig.objects.gridElement('blockEarth', 2, 14),
			new pig.objects.gridElement('blockEarth', 2, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 3, 13),
			new pig.objects.gridElement('blockEarth', 3, 14),
			new pig.objects.gridElement('blockEarth', 3, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 4, 13),
			new pig.objects.gridElement('blockEarth', 4, 14),
			new pig.objects.gridElement('blockEarth', 4, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 5, 13),
			new pig.objects.gridElement('blockEarth', 5, 14),
			new pig.objects.gridElement('blockEarth', 5, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 6, 13),
			new pig.objects.gridElement('blockEarth', 6, 14),
			new pig.objects.gridElement('blockEarth', 6, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 7, 13),
			new pig.objects.gridElement('blockEarth', 7, 14),
			new pig.objects.gridElement('blockEarth', 7, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 8, 13),
			new pig.objects.gridElement('blockEarth', 8, 14),
			new pig.objects.gridElement('blockEarth', 8, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 9, 13),
			new pig.objects.gridElement('blockEarth', 9, 14),
			new pig.objects.gridElement('blockEarth', 9, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 10, 13),
			new pig.objects.gridElement('blockEarth', 10, 14),
			new pig.objects.gridElement('blockEarth', 10, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 11, 13),
			new pig.objects.gridElement('blockEarth', 11, 14),
			new pig.objects.gridElement('blockEarth', 11, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 12, 13),
			new pig.objects.gridElement('blockEarth', 12, 14),
			new pig.objects.gridElement('blockEarth', 12, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 13, 13),
			new pig.objects.gridElement('blockEarth', 13, 14),
			new pig.objects.gridElement('blockEarth', 13, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 14, 13),
			new pig.objects.gridElement('blockEarth', 14, 14),
			new pig.objects.gridElement('blockEarth', 14, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 15, 13),
			new pig.objects.gridElement('blockEarth', 15, 14),
			new pig.objects.gridElement('blockEarth', 15, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 16, 13),
			new pig.objects.gridElement('blockEarth', 16, 14),
			new pig.objects.gridElement('blockEarth', 16, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 17, 13),
			new pig.objects.gridElement('blockEarth', 17, 14),
			new pig.objects.gridElement('blockEarth', 17, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 18, 13),
			new pig.objects.gridElement('blockEarth', 18, 14),
			new pig.objects.gridElement('blockEarth', 18, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 19, 13),
			new pig.objects.gridElement('blockEarth', 19, 14),
			new pig.objects.gridElement('blockEarth', 19, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 20, 13),
			new pig.objects.gridElement('blockEarth', 20, 14),
			new pig.objects.gridElement('blockEarth', 20, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 21, 13),
			new pig.objects.gridElement('blockEarth', 21, 14),
			new pig.objects.gridElement('blockEarth', 21, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 22, 13),
			new pig.objects.gridElement('blockEarth', 22, 14),
			new pig.objects.gridElement('blockEarth', 22, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 23, 13),
			new pig.objects.gridElement('blockEarth', 23, 14),
			new pig.objects.gridElement('blockEarth', 23, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 24, 13),
			new pig.objects.gridElement('blockEarth', 24, 14),
			new pig.objects.gridElement('blockEarth', 24, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 25, 13),
			new pig.objects.gridElement('blockEarth', 25, 14),
			new pig.objects.gridElement('blockEarth', 25, 15)
		],
		[
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			null,
			new pig.objects.gridElement('blockTop', 26, 13),
			new pig.objects.gridElement('blockEarth', 26, 14),
			new pig.objects.gridElement('blockEarth', 26, 15)
		]
	];
};
